import sys

classifiers = """\
Development Status :: 5 - Production/Stable
Environment :: Console
Intended Audience :: Developers
License :: OSI Approved :: GNU Lesser General Public License v3 (LGPLv3)
Topic :: Office/Business :: Financial :: Investment
Operating System :: Microsoft :: Windows
Operating System :: Unix
"""

from distutils.core import setup

if sys.version_info < (2, 3):
  _setup = setup
  def setup(**kwargs):
    if 'classifiers' in kwargs:
      del kwargs['classifiers']
    _setup(**kwargs)

setup(
  name='YQLStock',
  version='0.1',
  author='nooblz',
  author_email='ty.tarrants@gmail.com',
  url='http://pypi.python.org/pypi/YQLStock',
  download_url='http://pypi.python.org/pypi/YQLStock',
  platforms = ["3.2"],
  packages=['yqlstock',],
  license=open('LICENSE.txt').read(),
  classifiers=list(filter(None, classifiers.split("\n"))),
  description = 'YQL Stock Parser: Parses stock information using Yahoo! Finance.',
  long_description=open('README.txt').read(),
)
